Bug 455194 - X server crash with Dell Inspiron 4100 (NV11)
X server crash with Dell Inspiron 4100 (NV11)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
9
i386 Linux
low Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-13 16:35 EDT by Carl Roth
Modified: 2017-07-24 17:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:48:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
roth: needinfo-


Attachments (Terms of Use)
X server configuration file (615 bytes, text/plain)
2008-07-13 16:36 EDT, Carl Roth
no flags Details
gdb session trace from X (35.98 KB, text/plain)
2008-07-13 16:38 EDT, Carl Roth
no flags Details

  None (edit)
Description Carl Roth 2008-07-13 16:35:42 EDT
Description of problem:

I tried using the nouveau driver with my NV11-based laptop since nv was also
having issues...  On this system, the vendor nvidia driver *used* to work prior
to 2.6.25.

When I start the X server with a minimal xorg.conf file, it reports problems
determining the display dimensions and then crashes.  The 'nv' driver OTOH does
not crash, though it does choose the wrong panel resolution.

Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg-1.4.99.905-1.20080701.fc9.i386
xorg-x11-drv-nouveau-0.0.10-3.20080520git9c1d87f.fc10.i386

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Carl Roth 2008-07-13 16:36:42 EDT
Created attachment 311669 [details]
X server configuration file
Comment 2 Carl Roth 2008-07-13 16:38:06 EDT
Created attachment 311670 [details]
gdb session trace from X
Comment 3 Matěj Cepl 2008-07-15 19:35:55 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Carl Roth 2008-07-15 22:55:06 EDT
The xorg.conf file is already attached to this bug report.

It's not possible to start the nouveau driver without an xorg.conf file in place
since the default driver selected by Xorg is 'nv'.

The gdb trace is from an Xorg run with the verbose option turned on; all
Xorg.0.log message are include in the stdout of Xorg.
Comment 6 Adam Williamson 2009-03-10 12:28:09 EDT
I note, from the Rawhide changelog:

xorg-x11-drv-nouveau-0.0.12-10.20090310git8f9a580.fc11
------------------------------------------------------
* Tue Mar 10 2009 Ben Skeggs <bskeggs@redhat.com> 0.0.12-10.20090310git8f9a580
- upstream update, should fix #455194

so you may want to test that build...

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2009-06-09 22:04:36 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 13:48:40 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.